mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
tun:
  enable: true
  stack: system
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - any:53
dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 8.8.8.8
    - 1.1.1.1
  nameserver:
    - https://doh.pub/dns-query
    - https://1.0.0.1/dns-query
  fallback:
    - tcp://9.9.9.9:53
  fake-ip-filter:
    - "*.lan"
    - localhost
    - "*.local"
rules:
  - GEOIP,Private,DIRECT
  - MATCH,Proxy

proxies:
    - name: vless-40001-cf
      network: ws
      port: 443
      tls: true
      server: node1.academic.dpdns.org
      type: vless
      uuid: 07d3ef53-5ba1-428f-8225-0262605d130d
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /vless
    - name: trojan-40003-cf
      network: ws
      password: CTZPg0rDuZ
      port: 443
      server: node3.academic.dpdns.org
      type: trojan
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /trojan
    - alterId: 0
      cipher: auto
      name: vmess-40002-cf
      network: ws
      port: 443
      server: node2.academic.dpdns.org
      type: vmess
      uuid: 07d3ef53-5ba1-428f-8225-0262605d130d
      ws-opts:
        early-data-header-name: Sec-WebSocket-Protocol
        path: /vmess
proxy-groups:
    - name: Proxy
      proxies:
        - Auto
        - vless-40001-cf
        - trojan-40003-cf
        - vmess-40002-cf
      type: select
    - interval: 300
      name: Auto
      proxies:
        - vless-40001-cf
        - trojan-40003-cf
        - vmess-40002-cf
      tolerance: 50
      type: url-test
      url: http://www.gstatic.com/generate_204

